#ifndef __ERRORS
#define __ERRORS

#include "common.h"
#define ERR_FPR_TIMEOUT (1<<0)
#define ERR_KEYBOARD_TIMEOUT (1<<1)

#define ERR_HOST_PACKET 0xE1
#define ERR_FPR 0xE2

typedef struct {
	unsigned err1 : 1;
	unsigned err2 : 1;
	unsigned err3 : 1;
	unsigned err4 : 1;
	unsigned err5 : 1;
	unsigned err6 : 1;
	unsigned err7 : 1;
	unsigned err8 : 1;

}ERRList_t;

void ERR_log(unsigned int errno);
void ERR_delete(unsigned int errno);
inline int ERR_isset(unsigned int errno);

#endif
